\label{sec:discretizationGradient}

The greater goal behind the preceding finite element analysis is to substitute the membrane function~$u$ in the derivative formula from \cref{thm:summarizedDifferentiability} by the discrete function~$u_h$.
%~ In addition to $u_h$, the evaluation of the gradient of the interaction potential via this formula requires also the construction of functions $V \in H^2(\Omega(\p),\R^2)$ and $\xi_0' \in H^2(\Omega(\p))$ that fulfill the related boundary conditions.
This section investigates how this step affects the approximation error in the evaluation of the gradient~$\nabla\EI(\p)$.

To this end, suppose $u \in H^r(\Omega(\p))$ as in \cref{asp:regularity} with $r > 2$ and suppose a family of discrete approximations~$u_h\in\cS_\ast$ fulfilling the discretization error estimate
\begin{align}
  \label{eq:helper1808250616}
  \norm{u - u_h}_{H^2(\Omega(\p))} \leq c \norm{h^{r-2} u}_{H^{r}(\Omega(\p))}
\end{align}
with a grid-independent constant $c \in \R_{>0}$.
Let a direction vector~$\q \in \R^{n\times k}$, and functions $V \in H^2(\Omega(\p),\R^2)$, $\xi_0' \in H^2(\Omega(\p))$ be given as required in the derivative result \cref{thm:summarizedDifferentiability}.
For the sake of a simpler notation, further define the joint vector field $W := (V,\xi_0')\colon \Omega(\p) \rightarrow \R^3$.
As before, $\aOmega$ is assumed to fulfill \cref{asp:aOmega} on the structure of the elastic energy.
The function~$\Eloc$ is the transformed energy as defined in \cref{thm:ElocDifferentiability}.
 
\begin{theorem}
  \label{thm:gradientErrorEstimatePartial}
  Suppose $h\leq 1$ and $W = (V,\xi_0')\in H^{2,\infty}(\Omega(\p),\R^3)$.
  Moreover, suppose the partial derivatives~$\partial_\q \Eloc(\p;\cdot)$ are evaluated via equation~\eqref{eq:interactionDerivative} with the given functions $V$ and $\xi_0'$.
  Then for a grid- and $W$-independent constant $C \in \R_{>0}$ holds
  \begin{align*}
    \abs{\partial_\q \Eloc(\p;u) - \partial_\q \Eloc(\p;u_h)} \leq C\norm{W}_{H^{2,\infty}(\Omega(\p))} \norm{h^{r-2} u}_{H^r(\Omega(\p))}
    \text{.}
  \end{align*}
\end{theorem}

\begin{proof}
  Suppose $v \in H^2(\Omega(\p))$.
  By \cref{asp:aOmega} the integrand~$\rho$ associated to the energy~$\E$ is of the form
  \begin{align*}
    \rho(x,v(x),Dv(x),D^2v(x))
    & = \sum_{\abs{\alpha}, \abs{\beta} \leq 2} c_{\alpha\beta}(x) \partial^\alpha v(x) \partial^\beta v(x)
  \end{align*}
  with coefficient functions $c_{\alpha\beta} \in C^2(\Omega)$.
  As a consequence, closer inspection of the derivative formula~\eqref{eq:interactionDerivative} shows that the directional derivative~$\partial_\q\Eloc(\p;v)$ takes the form
  \begin{align*}
    \partial_\q \Eloc(\p;v) = \sum_{i=1}^3 \sum_{\abs{\alpha},\abs{\beta},\abs{\gamma} \leq 2} \int_{\Omega(\p)} c^{(i)}_{\alpha\beta\gamma} \partial^\alpha v \, \partial^\beta v \, \partial^\gamma W_i \d{x}
  \end{align*}
  with coefficient functions $c^{(i)}_{\alpha\beta\gamma} \in C^2(\Omega)$.
  In particular, there exist a continuous bilinear form $\wt{a}\colon \left(H^2(\Omega(\p)) \right)^2 \rightarrow \R$, a continuous linear map $\wt{\ell} \in \left(H^2(\Omega(\p))\right)'$ and a constant $\wt{c} \in \R$ such that
  \begin{align*}
    \partial_\q \Eloc(\p;v) = \wt{a}(v,v) + \wt{\ell}(v) + \wt{c}
    \text{,}
  \end{align*}
  and for the operators $\wt{a}$, $\wt{\ell}$ holds
  \begin{align*}
    \max\left\{\norm{\wt{a}}, \Vert \wt{\ell} \Vert \right\} & \leq C' \norm{W}_{H^{2,\infty}(\Omega(\p))}
  \end{align*}
  with a grid- and $W$-independent constant $C' \in \R_{>0}$.
  Given that and the approximation property~\eqref{eq:helper1808250616}, this admits the estimate
  \begin{align*}
    \abs{\partial_\q \Eloc(\p;u) - \partial_\q \Eloc(\p;u_h)}
    & = \abs{\wt{a}(u+u_h, u-u_h)} + \abs{\wt{\ell}(u-u_h)}
    \\ & \leq \norm{\wt{a}} \, \norm{u+u_h}_{H^2(\Omega(\p))} \, \norm{u-u_h}_{H^2(\Omega(\p))}
            + \Vert\wt{\ell}\Vert \, \norm{u-u_h}_{H^2(\Omega(\p)}
    \\ & \leq C' \left(1 + \norm{u+u_h}_{H^2(\Omega(\p))}\right) \cdot c \norm{h^{r-2}u}_{H^r(\Omega(\p))}
    \text{.}
  \end{align*}
  Noting
  \begin{align*}
    \norm{u+u_h}_{H^2(\Omega(\p))}
    & \leq 2\norm{u}_{H^2(\Omega(\p))} + \norm{u-u_h}_{H^2(\Omega(\p))}
    \\ & \leq (2+c) \norm{h^{r-2}u}_{H^r(\Omega(\p))}
    \\ &\leq (2+c) \norm{u}_{H^r(\Omega(\p))}
  \end{align*}
  this proves the claimed assertion with $C :=(3+c)c \cdot C' $.
\end{proof}

\noindent Consider now the approximation $G \in \R^{n \times k}$ of the gradient $\nabla \EI(\p)$ whose components are defined as
\begin{align*}
  G^h_{(i,j)} := \partial_{(i,j)} \Eloc^{(i,j)}(\p;u_h)
  , \qquad i = 1,\dots,n, \quad j = 1,\dots,k.
  \text{.}
\end{align*}
Here, $\partial_{(i,j)}$ denotes differentiation with respect to the $(i,j)$-th standard unit vector in the configuration space~$\R^{n\times k}$ and $\Eloc^{(i,j)}$ is the transformed energy generated by an associated vector field~$V^{(i,j)}$.
The evaluation of the partial derivatives~$\partial_{(i,j)} \Eloc^{(i,j)}(\p;u_h)$ is carried out via the derivative formula~\eqref{eq:interactionDerivative} with an associated constraint function~$(\xi_0')^{(i,j)}$.
Application of \cref{thm:gradientErrorEstimatePartial} directly shows the following error estimate for quasi-uniform grids:

%If all vector fields~$V$ and all constraint preserving functions $\xi_0'$ have $H^{2,\infty}(\Omega(\p))$ norms that are grid-independently bounded, then
%This 
%\TK{TODO}

\begin{corollary}
  \label{thm:gradientErrorEstimate}
  Suppose $V^{(i,j)} \in H^{2,\infty}(\Omega(\p),\R^2)$ and $(\xi_0')^{(i,j)} \in H^{2,\infty}(\Omega(\p))$ for every pair $(i,j)$.
  If $V^{(i,j)} \in \mathcal{O}(1)$ and $(\xi_0')^{(i,j)} \in \mathcal{O}(1)$ for $h\to 0$,
  then also
  \begin{align*}
    \norm{\nabla \EI(\p) - G^h} \in \mathcal{O}(h^{r-2}) \text{ for } h \to 0
    \text{.}
  \end{align*}
\end{corollary}

  %~ \label{thm:errorEstimateGradient}
